
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>iOS 跑马灯滚动条效果程序代码 / iVAN</title>

    <meta name="description" content="iOS 跑马灯滚动条效果程序代码 跑马灯效果的滚动条,一般出现在ios应用的底部.用于显示动态变化的信息或内容较长的信息,在个类应用中使用广泛 以下两种可用的跑马灯滚动MarqueeBar的实现. 1.直接在ViewController中实现对UIView的位置定时移动来实现,以下代码直接加入到ViewController中,在viewWillAppear中调用loadView即可.    代码如下 复制代码 - (void)marqueeView {       CGRect frame = self.vMarqueeCont">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">iOS 跑马灯滚动条效果程序代码</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>跑马灯效果的滚动条，一般出现在ios应用的底部。用于显示动态变化的信息或内容较长的信息，在个类应用中使用广泛<br />
以下两种可用的跑马灯滚动MarqueeBar的实现。</p>
<p>1.直接在ViewController中实现对UIView的位置定时移动来实现，以下代码直接加入到ViewController中，在viewWillAppear中调用loadView即可。</p>
<p> </p>
<table>
<tr>
<td> 代码如下</td>
<td>复制代码</td>
</tr>
<tr>
<td colspan="2">- (void)marqueeView<br />
{<br />
 <br />
    CGRect frame = self.vMarqueeContainer.frame;<br />
    frame.origin.x = frame.origin.x -2;<br />
    if(frame.origin.x &lt; -frame.size.width )<br />
    {<br />
        frame.origin.x  = 320;<br />
    }<br />
    self.vMarqueeContainer.frame = frame;<br />
 <br />
    //延时递归调用<br />
    [self performSelector:@selector(marqueeView) withObject:nil afterDelay:0.04];<br />
}<br />
 <br />
- (void)loadView<br />
{<br />
 //marqueenbar背景，位置高度等控制<br />
    UIView *viewMarqueeBar = [[[UIView alloc]initWithFrame:CGRectMake(0, 347, 320, 20)]autorelease];<br />
    [viewMarqueeBar setBackgroundColor:[UIColor darkGrayColor]];<br />
 <br />
    //滚动容器，显示滚动范围<br />
    UIView *viewMarqueeContainer = [[[UIView alloc]initWithFrame:CGRectMake(320, 3, 360, 14)]autorelease];<br />
    [viewMarqueeContainer setBackgroundColor:[UIColor clearColor]];<br />
    [viewMarqueeContainer setClipsToBounds:YES];<br />
    [viewMarqueeContainer setOpaque:YES];<br />
 <br />
    //内容<br />
    UILabel *lblContent = [[[UILabel alloc] initWithFrame:CGRectMake(0, 0, 50,14)]autorelease];<br />
    [lblContent setText:@"这里是滚动条。。。。。"];<br />
    [lblContent setTextColor:[UIColor whiteColor]];<br />
    [lblContent setBackgroundColor:[UIColor clearColor]];<br />
    [lblContent setFont:[UIFont fontWithName:@"Helvetica" size:12]];<br />
    [lblContent setOpaque:YES];<br />
 <br />
    self.view= viewMarqueeBar;<br />
    self.vMarqueeContainer = viewMarqueeContainer;<br />
 <br />
    [self.view addSubview:viewMarqueeContainer];<br />
 <br />
    [self marqueeView];<br />
} </td>
</tr>
</table>
<p>2.自行定义滚动条控件，让view自己滚动起来，通过不断的相互方法调用实现循环滚动<br />
UIMarqueeBarView.h定义</p>
<table>
<tr>
<td> 代码如下</td>
<td>复制代码</td>
</tr>
<tr>
<td colspan="2">
<br /> /**<br />
 *UIMarqueeBarView.h<br />
 */<br />
@interface UIMarqueeBarView : UIView<br />
{<br />
}<br />
 <br />
- (void)start;<br />
- (void)stop;<br />
@end</p>
<p>UIMarqueeBarView.m实现</p>
<p>/**<br />
 *UIMarqueeBarView.m<br />
 */<br />
 <br />
#import "UIMarqueeBarView.h"<br />
 <br />
@implementation UIMarqueeBarView<br />
 <br />
- (void)dealloc<br />
{<br />
    [super dealloc];<br />
}<br />
 <br />
- (id)initWithFrame:(CGRect)frame<br />
{<br />
    self = [super initWithFrame:frame];<br />
    if (self) {<br />
        // Initialization code<br />
  [self setupView];<br />
    }<br />
    return self;<br />
}<br />
 <br />
-(id)initWithCoder:(NSCoder *)aDecoder {<br />
 if( (self = [super initWithCoder:aDecoder]) ) {<br />
  // Initialization code<br />
  [self setupView];<br />
 }<br />
 return self;<br />
}<br />
 <br />
- (void)setupView<br />
{<br />
    [self setBackgroundColor:[UIColor lightGrayColor]];<br />
    [self setClipsToBounds:YES];<br />
    [self setOpaque:YES];<br />
 <br />
    UILabel *lblContent = [[[UILabel alloc] initWithFrame:CGRectMake(0, 0, 150 ,16)]autorelease];<br />
    [lblContent setText:@"这里是滚动条。。。。。"];<br />
    [lblContent setTextColor:[UIColor whiteColor]];<br />
    [lblContent setBackgroundColor:[UIColor clearColor]];<br />
    [lblContent setFont:[UIFont fontWithName:@"Helvetica" size:14]];<br />
    [lblContent setNumberOfLines:1];<br />
    [lblContent setOpaque:YES];<br />
 <br />
    [self addSubview:lblContent];<br />
}<br />
 <br />
- (void)start<br />
{<br />
    if (self.viewContainer == NULL) {<br />
        [self setupView];<br />
    }<br />
 <br />
    [self startAnimation];<br />
}<br />
- (void)stop<br />
{<br />
 <br />
}<br />
 <br />
-(void)startAnimation<br />
{<br />
    [UIView beginAnimations:@"MarqueeBarAniamation" context:nil];<br />
    [UIView setAnimationCurve:UIViewAnimationCurveLinear];<br />
    [UIView setAnimationDuration:25];<br />
    [UIView setAnimationDelegate:self];<br />
    [UIView setAnimationDidStopSelector:@selector(animationDidStop:finished:context:)];<br />
 <br />
    CGRect viewFrame = self.viewContainer.frame;<br />
    viewFrame.origin.x = -320;<br />
    [self.viewContainer setFrame:viewFrame];<br />
 <br />
    [UIView commitAnimations];<br />
}<br />
 <br />
-(void)animationDidStop:(NSString *)animationID finished:(NSNumber *)finished context:(void *)context<br />
{ <br />
    CGRect viewFrame = self.viewContainer.frame;<br />
    viewFrame.origin.x = 320;<br />
    [self.viewContainer setFrame:viewFrame];<br />
 [self startAnimation];<br />
}</p>
</td>
</tr>
</table>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-28 10:33:07</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e4%bb%a3%e7%a0%81/" title="代码">代码</a>, <a href="https://www.iamivan.net/tag/%e9%80%92%e5%bd%92/" title="递归">递归</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>iOS 跑马灯滚动条效果程序代码的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pdmKa3z.html" rel="bookmark">JS实现状态栏跑马灯文字效果代码&lowbar;javascript技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文实例讲述了JS实现状态栏跑马灯文字效果代码.分享给大家供大家参考,具体如下: 这款状态栏跑马灯,文字跑动的定义在数组内,自己可修改内容.现在的IE8貌似不兼容,有缺憾的代码,欢迎JS爱好者修正,修正请发回一份.状态栏为效果显示区. 运行效果截图如下: 在线演示地址如下: http://demo.jb51.net/js/2015/js-ztlpmd-txt-style-codes/ 具体代码如下: &lt;HTML&gt; &lt;HEAD&gt; &lt;TITLE&gt;间隔状态栏跑马灯&lt;/T			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/badagXz.html" rel="bookmark">基于jquery的文字向上跑动类似跑马灯的效果</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				 想实现一个类似跑马灯的效果,发现跑马灯有空格.效果也不美观,于是用jquery写了个 页面代码 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 &lt;div class=&quot;recordList&quot;&gt;  &lt;ul class=&quot;tpl-rotate-recordList&quot; style=&quot;margin-top:			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MrWwlxp.html" rel="bookmark">基于jquery的文字向上跑动类似跑马灯的效果&lowbar;jquery</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				想实现一个类似跑马灯的效果,发现跑马灯有空格.效果也不美观,于是用jquery写了个 页面代码 &lt;div class=&quot;recordList&quot;&gt; &lt;ul class=&quot;tpl-rotate-recordList&quot; style=&quot;margin-top: 0px;&quot;&gt; &lt;li class=&quot;tpl-rotate-recordList-item&quot;&gt; 恭喜187****5204获得1000RBM &			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bEY32Pb.html" rel="bookmark">Android 纵向跑马灯滚动效果</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				像淘宝和京东都会有跑马灯的效果,今天给大家贡献下以前项目的一个demo,各位看官,且看效果图. 我们先定义一个Bean文件,这个实体类文件主要包含标题,内容描述,以及还有跳转的链接. LampBean  public class LampBean implements Serializable { public String title; public String info; } 接下来我们要去自定义一个LampView了,Lamp主要实现数据的接受,适配器填充数据,以及滚动实现,这里可以看出			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pPXvN1p.html" rel="bookmark">js 跑马灯状态栏效果代码</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1.弹来弹去跑马灯 弹来弹去跑马灯 2.跑的很快的跑马灯 跑的很快的跑马灯 3.带有超级链接的跑马灯 ^-^我是小林^-^带有超链接的跑马灯!点我试试^-^ 4.似乎有弹性效果: http://111cn.net/ 参数说明: behavior=scroll, slide, alternate 跑马方式:循环绕行,只跑一次就停住,来回往复运动 direction=left,right 跑马方向:从左向右,从右向左 loop=100 跑马次数:循环100次,如不写默认为一直循环 width=100			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/Mg0Q83p.html" rel="bookmark">iOS - 跑马灯、弹幕</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1.跑马灯 具体实现代码见 GitHub 源码 QExtension QMarqueeView.h #pragma mark - QMarqueeViewDelegate /// 跑马灯内容点击处理协议 @protocol QMarqueeViewDelegate &lt;NSObject&gt; - (void)didClickContentAtIndex:(NSInteger)index; @end #pragma mark - QMarqueeView /// 跑马灯滚动方向枚举 typedef N			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/b24ogrp.html" rel="bookmark">ios仿侧边抽屉效果实现代码&lowbar;IOS</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				效果图如下 代码实现以及思路下面分析: 代码创建导航控制器 Appdelegate.m中 #import &quot;AppDelegate.h&quot; #import &quot;ViewController.h&quot; @interface AppDelegate () @end @implementation AppDelegate - (BOOL)application:(UIApplication *)application didFinishLaunchingWithOptions:(			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pPl4qDp.html" rel="bookmark">jQuery 手风琴效果程序代码</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				相信很多人已经见过jQuery 手风琴的效果,jQuery 手风琴效果在展示网页内容时更好的利用了网页空间,显得别具一格.今天就让我们来看看怎么一步一步实现jQuery 手风琴效果,最终的效果如下图: 首先,我们看看html标记,如下:  代码如下 复制代码 &lt;div id=&quot;accordion&quot;&gt;     &lt;h2&gt;&lt;a href=&quot;#&quot;&gt;&lt;/a&gt;&lt;/h2&gt;     &lt;div class=&quot;			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pnxym0b.html" rel="bookmark">winform状态栏跑马灯的效果</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				  using System;   using System.Collections.Generic;   using System.ComponentModel;   using System.Data;   using System.Drawing;   using System.Linq;   using System.Text;   using System.Windows.Forms;   namespace WindowsFormsApplication1   {   public			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/LzJGdwb.html" rel="bookmark" class="title">防止用户上传产生无效文件源码</a>
					<div>
						上传|上传 经过近日来的调试,狂人于4月12日写的一篇日志&quot;用户上传产生无效文件的解决思路&quot;代码部分已经完成.欢迎批评指正,以便改进. [FileName]:upload.asp[ ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/7M0XEDM.html" rel="bookmark" class="title">网络营销策略谈</a>
					<div>
						策略|网络|网络营销  毫无疑问网站应是为营销而建设,而营销是为企业的经营而服务.网络营销很大一部分工作就是为了提高网站的访问量,确切的说是提高网站的有效访问量,因为提高访问量需要针对某个具体的访问群 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/0boGgvb.html" rel="bookmark" class="title">Dreamweaver的CSS网页布局ul和li范例</a>
					<div>
						在CSS布局中,ul,li的运用是非常常见的.配合DIV与CSS,创建无表格布局. 其实Dreamweaver中也有自带的CSS布局的范例,如下图:   LI代码的格式化:A).运用CSS格式化列表符 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/VzwVKWp.html" rel="bookmark" class="title">Asp的安全管理（1）</a>
					<div>
						安全 Microsoft 企业服务白皮书 发布日期:2000 年 9 月 1.0 版 摘要 本白皮书系有关 Microsoft 企业服务 (ES) 框架的系列文章之一.要了解该系列出版物的完整清单,请 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/vbQ2qwM.html" rel="bookmark" class="title">A5 SEO诊断小组教你辩清百度和谷歌的区别</a>
					<div>
						  无论是个人站长还是公司企业来说,都不可能专门针对某个搜索引擎做一个站的,那样的话,就需要做很多个网站了,网站肯定是需要人力物力的投入的,相信不会有几个人愿意这样投资的,一个网站能够做到的事,干嘛还 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MRy92xb.html" rel="bookmark" class="title">ASP&period;NET验证码及图形编程技术详解</a>
					<div>
						验证码原理 在现在的软件运行环境下,安全成为大部分软件必须考虑的问题,黑客无处不在,攻击方式日益丰富,尤其是WEB系统由于其开放性更是遇到严峻的考验,黑客事件层出不穷,造成的损失和影响也不断变大,对此 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJ7olvb.html" rel="bookmark" class="title">ASP&period;Net中保护自定义的服务器控件</a>
					<div>
						自定义服务器控件是扩展 ASP.NET Web 服务器控件的功能的一种方式.下文提供了针对自定义服务器控件的用户和开发人员的基本安全准则.有关创建自定义服务器控件的更多信息,请参见开发自定义 ASP. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Myrkkvp.html" rel="bookmark" class="title">详解Linux系统中crontab命令处理定时任务的用法</a>
					<div>
						  定时执行操作命令,每一个用户拥有自己的crontab,配置文件存在/var下面,不能被直接编辑. -e 设置计时器 -l 列出当前计时器的设置 -r 删除计时器的设置 -i 交互式模式,删除计时器 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M624joM.html" rel="bookmark" class="title">文件由PowerPoint转成Flash格式教程</a>
					<div>
						  想必大家对PPT和flash两个格式的文件不陌生了,两个格式各有好处,教学,演示等场合下我们都使用PPT演示文件.但PPT格式文件也有一定的缺点,如可随便被人修改,在跨平台使用上不是很方便等.相比 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgKam5M.html" rel="bookmark" class="title">PS打造逼真美女水中倒影</a>
					<div>
						教程向FEVTE的朋友介绍利用PS打造逼真美女水中倒影的制作方法.思路:先把图片镜像翻转,用来制作倒影层,简单制作出半调图案保存为PSD格式,然后把需要加水波的图层应用置换滤镜效果就马上出来了!原图  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDYWWBb.html" rel="bookmark" class="title">InterServer一键安装快速搭建PPTP VPN教程</a>
					<div>
						笔者接触VPS主机也有一段时间,积累下来的教程基本上可以满足新手站长入门学习和使用VPS搭建网站.最近老左做了一个调查,咨询了不少的使用VPS主机的站长,发现很多部分购买VPS的站长并不是用来建站的, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pP8O41p.html" rel="bookmark" class="title">Win7任务栏缩略图改为显示文字提示方法</a>
					<div>
						  现在用WIN7的用户越来越多了,用过的都知道从Windows 7系统开始任务栏窗口有预览功能,即使关闭窗口预览效果也是有窗口名称提示.如下图所示: 由于某些原因需要取消这些功能,希望实现如之前XP ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zVwD3Db.html" rel="bookmark" class="title">在word中怎么删除分页符&quest;</a>
					<div>
						  怎样显示分页符 打开一个文档,发现这里插入的分页符没有显示,点击左上角&quot;文件&quot;. 进入文件栏目之后,点击最下方的&quot;选项&quot;按钮,进入选项设置中. 进入word ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M9EAyoM.html" rel="bookmark" class="title">Windows7操作系统启动故障解决方法</a>
					<div>
						相信绝大多数朋友都用上了Win7系统了吧,Win7系统虽然比以前其他版本的Windows系统都稳定得多,但是由于安装某些特殊软件或误操作,系统还是会出现各种启动故障.接下来,笔者就来给大家分析一下Wi ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8Z6Bob.html" rel="bookmark" class="title">金山卫士如何锁定IE主页？</a>
					<div>
						  1.打开金山卫士. 2.点击&quot;查杀木马&quot;选项,查看并点击右侧&quot;所有防护已开启&quot;或&quot;部分防护未开启&quot;位置. 3.默认为网盾保护选项,点击右 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b24kxkp.html" rel="bookmark" class="title">手动清理C盘多余的系统垃圾</a>
					<div>
						在Vista和 Windows 7系统盘的 Windows 目录下,有一个名为winsxs的文件夹,对于整个Windows目录来说,这个文件夹就占用了其一半多的体积(近3GB).不但如此,随着系统使用 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pkGyEwp.html" rel="bookmark" class="title">百度文库复制到word格式怎么才能不混乱</a>
					<div>
						  1.百度文库的下载机制是有的需要积分,有的不需要积分,而复制是完全免费的,复制方法也很简单.只需要选中文库中需要的文字,复制就可以了. 2.只要选中文字,自然会弹出'复制'按钮哦!这时候您只要到w ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ze6Z08b.html" rel="bookmark" class="title">大神呐，救命啊！纠结死我了kindeditor套用模板页后不显示可是在不套用模板的时候却正常显示</a>
					<div>
						问题描述 大神呐,救命啊!纠结死我了kindeditor套用模板页后不显示可是在不套用模板的时候却正常显示 是我描述的不够详细么? 解决方案 你模板套用对了吗?是不是js的冲突,比如你前面已经引用js ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDWZGKp.html" rel="bookmark" class="title">java-按不同的按钮，图形界面会发生相应的改变，改变包括增减组件之类</a>
					<div>
						问题描述 按不同的按钮,图形界面会发生相应的改变,改变包括增减组件之类 按不同的按钮,图形界面会发生相应的改变,改变包括增减组件之类,要设置一个指令么,想通过设置一个 flag来进行 if 判断,完成 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ze63WAb.html" rel="bookmark" class="title">【JQuery】write less，do more</a>
					<div>
						    JQuery,又是一个熟悉的单词,很多次听到它,都是和JavaScript一起,心里便画上了一个问号,这是为什么.通过JQuery阶段的学习,得到了真正的答案.     一.JQuery是什么 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGEjQnM.html" rel="bookmark" class="title">DataGridView怎么实现单元格是文本框和按钮组合</a>
					<div>
						问题描述 1.需要做一个DataGridView控件,个别单元格是文本框和按钮组合,单元格右边是个按钮,点击按钮弹出一个对话框,如图:2.在单元格中绘制按钮,比较简单,但是当界面最大化或者改变列宽时, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pXqxQvz.html" rel="bookmark" class="title">android-Value &quest; of type java&period;lang&period;String cannot be</a>
					<div>
						问题描述 Value ? of type java.lang.String cannot be public class Register_ extends Activity{ private Pro ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQBLL8M.html" rel="bookmark" class="title">java 笔试题-网易类的初始化的笔试题</a>
					<div>
						问题描述 网易类的初始化的笔试题 public class Father { public static String desc = &quot;Father&quot;; static { Syst ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDeQK0b.html" rel="bookmark" class="title">c&plus;&plus;stl-generate&lowbar;n generate使用的问题，</a>
					<div>
						问题描述 generate_n generate使用的问题, #include #include #include #include using namespace std; class IntSeq ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZgxlob.html" rel="bookmark" class="title">【干货】手机QQ及Qzone速度优化实践</a>
					<div>
						作者介绍: 黄浩宇 现就职于腾讯社交网络运营部,负责SNG社交网络业务移动类产品的业务运维工作,如QQ.Qzone业务优化及开发. 此前任职于阿里巴巴,负责天猫商城活动类业务的运维工作,如天猫双11, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Myd88lb.html" rel="bookmark" class="title">离线消息是怎么推送的？</a>
					<div>
						问题描述 **离线消息是怎么推送的?** 解决方案 本帖最后由 IOS_Daniel 于 2015-2-23 17:37 编辑 没人帮忙解决吗解决方案二:环信iOS是这样,离线消息提醒是apns推给你 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MxYZ2jp.html" rel="bookmark" class="title">国家互金专委会：当前伪区块链盛行，如何理性看待区块链应用？</a>
					<div>
						近年来,随着比特币.以太币等虚拟货币的火热,其底层技术区块链也在国内外引起了广泛关注.而据雷锋网(公众号:雷锋网)了解,除了虚拟货币,区块链在不断向其他领域扩张,例如票据与供应链金融.证券发行交易.客 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mq7N9Zz.html" rel="bookmark" class="title">《重构：改善既有代码的设计》&mdash;第1章1&period;4节运用多态取代与价格相关的条件逻辑</a>
					<div>
						1.4 运用多态取代与价格相关的条件逻辑 这个问题的第一部分是switch语句.最好不要在另一个对象的属性基础上运用switch语句.如果不得不使用,也应该在对象自己的数据上使用,而不是在别人的数据上 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mx0xGBM.html" rel="bookmark" class="title">PE指路：选项目好比《非诚勿扰》美女选男友</a>
					<div>
						6月4日下午约1600,深圳福田中国最高规格的风险投资大会现场,一位50多岁的男人跳起来愤怒地质问嘉宾:&quot;我的企业很好,为什么跟你们这些风投握手的机会都没有?!&quot; 尽管主持那场论坛 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pkAoDrb.html" rel="bookmark" class="title">CIO如何说服一把手投资信息化项目？&lbrack;2&rsqb;</a>
					<div>
						再如,一把手开会声讨员工上班时间上网聊QQ.看娱乐新闻.玩游戏的行为.此时,CIO更不应该就事论事,抓价格典型了事.而应该从根本上出发,从源头上把问题解决.此时,CIO就可以借此机会,向一把手索要筹码 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.029 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
